#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 4.0 patchlevel 0
#    	last modified Thu Apr 15 14:44:22 CEST 2004
#    	System: Linux 2.6.6
#    
#    	Copyright (C) 1986 - 1993, 1998, 2004
#    	Thomas Williams, Colin Kelley and many others
#    
#    	This is gnuplot version 4.0.  Please refer to the documentation
#    	for command syntax changes.  The old syntax will be accepted
#    	throughout the 4.0 series, but all save files use the new syntax.
#    
#    	Type `help` to access the on-line reference manual.
#    	The gnuplot FAQ is available from
#    		http://www.gnuplot.info/faq/
#    
#    	Send comments and requests for help to
#    		<gnuplot-info@lists.sourceforge.net>
#    	Send bugs, suggestions and mods to
#    		<gnuplot-bugs@lists.sourceforge.net>
#    
# set terminal x11 0
set terminal mp latex magnification 0.9
unset clip points
set clip one
unset clip two
set bar 1.000000
set border 31 lt -1 lw 1.000
set xdata
set ydata
set zdata
set x2data
set y2data
set timefmt x "%d/%m/%y,%H:%M"
set timefmt y "%d/%m/%y,%H:%M"
set timefmt z "%d/%m/%y,%H:%M"
set timefmt x2 "%d/%m/%y,%H:%M"
set timefmt y2 "%d/%m/%y,%H:%M"
set timefmt cb "%d/%m/%y,%H:%M"
set boxwidth
set style fill empty border
set dummy u,v
set format x "% g"
set format y "% g"
set format x2 "% g"
set format y2 "% g"
set format z "% g"
set format cb "% g"
set angles radians
unset grid
set key title ""
set key right top Right noreverse enhanced box linetype -2 linewidth 1.000 samplen 4 spacing 1 width 0 height 0 autotitles
unset label
unset arrow
unset style line
unset style arrow
unset logscale
set offsets 0, 0, 0, 0
set pointsize 1
set encoding default
unset polar
set parametric
unset decimalsign
set samples 100, 100
set isosamples 100, 100
set surface
unset contour
set clabel '%8.3g'
set mapping cartesian
set datafile separator whitespace
unset hidden3d
set cntrparam order 4
set cntrparam linear
set cntrparam levels auto 5
set cntrparam points 5
set size ratio 0 1,1
set origin 0,0
set style data pm3d
set style function lines
set xzeroaxis lt -2 lw 1.000
set yzeroaxis lt -2 lw 1.000
set x2zeroaxis lt -2 lw 1.000
set y2zeroaxis lt -2 lw 1.000
set tics in
set ticscale 1 0.5
set mxtics default
set mytics default
set mztics default
set mx2tics default
set my2tics default
set mcbtics default
set xtics border mirror norotate autofreq 
set ytics border mirror norotate autofreq 
set ztics border nomirror norotate autofreq 
set nox2tics
set noy2tics
set cbtics border mirror norotate autofreq 
set title "" 0.000000,0.000000  font ""
set timestamp "" bottom norotate 0.000000,0.000000  ""
set rrange [ * : * ] noreverse nowriteback  # (currently [0.00000:10.0000] )
set trange [ * : * ] noreverse nowriteback  # (currently [-5.00000:5.00000] )
set urange [ * : * ] noreverse nowriteback  # (currently [-5.00000:5.00000] )
set vrange [ * : * ] noreverse nowriteback  # (currently [-5.00000:5.00000] )
set xlabel "$d$" 0.000000,0.000000  font ""
set x2label "" 0.000000,0.000000  font ""
set x2range [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set ylabel "$\\varepsilon$" 0.000000,0.000000  font ""
set y2label "" 0.000000,0.000000  font ""
set yrange [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set y2range [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set cblabel "" 0.000000,0.000000  font ""
set cbrange [ * : * ] noreverse nowriteback  # (currently [-10.0000:10.0000] )
set zero 1e-08
set lmargin -1
set bmargin -1
set rmargin -1
set tmargin -1
set locale "C"
set pm3d at s
set pm3d scansautomatic flush begin noftriangles nohidden3d implicit corners2color mean



set view 65, 174, 1.1748, 0.991699

set ticslevel 0
set ytics 0, 0.1, 1
set pm3d clip4in

set style data lines
set style line 1 lt 1 lw 0.2 pt 0 ps 0.5

set palette gray negative
set colorbox default
set colorbox vertical origin 0.9,0.2 size 0.1,0.63 bdefault
set loadpath 
set fontpath 
set fit noerrorvariables

set xrange [ 3.00000 : 32.0000 ] noreverse nowriteback

#set zlabel "Zeit [$\\mu$s]" 0.000000,0.000000  font ""
set zlabel ""


set title "cuckoo-$d$-ary"
set zrange [ 0:40]
set output 'cuckoo-dary-3d.mp'
splot "cuckoo-dary.csv" ls 1 notitle

set cbrange[1:9]
set zrange [ 0:10]

set title "cuckoo-lp"
set output 'cuckoo-lp-3d.mp'
splot "cuckoo-lp.csv" ls 1 notitle

set title "cuckoo-block"
set output 'cuckoo-block-3d.mp'
splot "cuckoo-block.csv" ls 1 notitle

set title "cuckoo-block-improved"
set output 'cuckoo-block-improved-3d.mp'
splot "cuckoo-block-improved.csv" ls 1 notitle


set cbrange[*:*]
set zrange [ *:*]

set title "cuckoo-$d$-ary"
set output 'cuckoo-dary-3d-build.mp'
splot "cuckoo-dary.csv" using 1:2:4 ls 1 notitle 

set zrange [0.8:1.7]
set cbrange[0.9:1.6]
set title "cuckoo-lp"
set output 'cuckoo-lp-3d-build.mp'
splot "cuckoo-lp.csv" using 1:2:4 ls 1 notitle

set title "cuckoo-block"
set output 'cuckoo-block-3d-build.mp'
splot "cuckoo-block.csv" using 1:2:4 ls 1 notitle

#set terminal postscript eps
set title "cuckoo-block-improved"
set output 'cuckoo-block-improved-3d-build.mp'
splot "cuckoo-block-improved.csv" using 1:2:4 ls 1 notitle




#    EOF
