#!/usr/bin/gnuplot -persist
#
#    
#    	G N U P L O T
#    	Version 3.7 patchlevel 3
#    	last modified Thu Dec 12 13:00:00 GMT 2002
#    	System: Linux 2.6.0-gentoo
#    
#    	Copyright(C) 1986 - 1993, 1998 - 2002
#    	Thomas Williams, Colin Kelley and many others
#    
#    	Type `help` to access the on-line reference manual
#    	The gnuplot FAQ is available from
#    	http://www.gnuplot.info/gnuplot-faq.html
#    
#    	Send comments and requests for help to <info-gnuplot@dartmouth.edu>
#    	Send bugs, suggestions and mods to <bug-gnuplot@dartmouth.edu>
#    

set terminal mp latex
set style data linespoints

set ylabel "Gemessene Zeit in $\\mu$s"
set xlabel "$d$"

set output 'cuckoo-lp.mp'
set title "cuckoo-lp"
set yrange [ 0:20 ]
plot 'cuckoo-lp-0.5.csv' using 1:6 title "$\\varepsilon = 0.5$", \
'cuckoo-lp-0.2.csv' using 1:6 title "$\\varepsilon = 0.2$", \
'cuckoo-lp-0.1.csv' using 1:6 title "$\\varepsilon = 0.1$", \
'cuckoo-lp-0.05.csv' using 1:6 title "$\\varepsilon = 0.05$", \
'cuckoo-lp-0.02.csv' using 1:6 title "$\\varepsilon = 0.02$", \
'cuckoo-lp-0.01.csv' using 1:6 title "$\\varepsilon = 0.01$"


set output 'cuckoo-block.mp'
set title "cuckoo-block"
plot 'cuckoo-block-0.5.csv' using 1:6 title "$\\varepsilon = 0.5$", \
'cuckoo-block-0.2.csv' using 1:6 title "$\\varepsilon = 0.2$", \
'cuckoo-block-0.1.csv' using 1:6 title "$\\varepsilon = 0.1$", \
'cuckoo-block-0.05.csv' using 1:6 title "$\\varepsilon = 0.05$", \
'cuckoo-block-0.02.csv' using 1:6 title "$\\varepsilon = 0.02$", \
'cuckoo-block-0.01.csv' using 1:6 title "$\\varepsilon = 0.01$"

set output 'cuckoo-block-improved.mp'
set title "cuckoo-block-improved"
plot 'cuckoo-block-improved-0.5.csv' using 1:6 title "$\\varepsilon = 0.5$", \
'cuckoo-block-improved-0.2.csv' using 1:6 title "$\\varepsilon = 0.2$", \
'cuckoo-block-improved-0.1.csv' using 1:6 title "$\\varepsilon = 0.1$", \
'cuckoo-block-improved-0.05.csv' using 1:6 title "$\\varepsilon = 0.05$", \
'cuckoo-block-improved-0.02.csv' using 1:6 title "$\\varepsilon = 0.02$", \
'cuckoo-block-improved-0.01.csv' using 1:6 title "$\\varepsilon = 0.01$"

set output 'cuckoo-dary.mp'
set title "cuckoo-$d$-ary"
set yrange [ 0:95 ]
plot 'cuckoo-dary-0.5.csv' using 1:6 title "$\\varepsilon = 0.5$", \
'cuckoo-dary-0.2.csv' using 1:6 title "$\\varepsilon = 0.2$", \
'cuckoo-dary-0.1.csv' using 1:6 title "$\\varepsilon = 0.1$", \
'cuckoo-dary-0.05.csv' using 1:6 title "$\\varepsilon = 0.05$", \
'cuckoo-dary-0.02.csv' using 1:6 title "$\\varepsilon = 0.02$", \
'cuckoo-dary-0.01.csv' using 1:6 title "$\\varepsilon = 0.01$"


set key left top
set yrange [ *:* ]
set output 'cuckoo-vergleich-0_5.mp'
set title "$\\varepsilon = 0.5$"
plot 'cuckoo-lp-0.5.csv' using 1:6 title "cuckoo-lp", 'cuckoo-block-0.5.csv' using 1:6 title "cuckoo-block", 'cuckoo-block-improved-0.5.csv' using 1:6 title "cuckoo-block-improved"

set yrange [ *:4 ]

set key right top
set output 'cuckoo-vergleich-0_1.mp'
set title "$\\varepsilon = 0.1$"
plot 'cuckoo-lp-0.1.csv' using 1:6 title "cuckoo-lp", 'cuckoo-block-0.1.csv' using 1:6 title "cuckoo-block", 'cuckoo-block-improved-0.1.csv' using 1:6 title "cuckoo-block-improved"

set yrange [ 0:10 ]

set output 'cuckoo-vergleich-0_05.mp'
set title "$\\varepsilon = 0.05$"
plot 'cuckoo-lp-0.05.csv' using 1:6 title "cuckoo-lp", 'cuckoo-block-0.05.csv' using 1:6 title "cuckoo-block", 'cuckoo-block-improved-0.05.csv' using 1:6 title "cuckoo-block-improved"

set yrange [ 0:30 ]

set output 'cuckoo-vergleich-0_01.mp'
set title "$\\varepsilon = 0.01$"
plot 'cuckoo-lp-0.01.csv' using 1:6 title "cuckoo-lp", 'cuckoo-block-0.01.csv' using 1:6 title "cuckoo-block", 'cuckoo-block-improved-0.01.csv' using 1:6 title "cuckoo-block-improved"

