#ifndef __cuckoo_common_h__
#define __cuckoo_common_h__

#include "dictionary-common.h"
#include <algorithm>
#include <math.h>

template <class K, class HF, class EMPTY>
class CuckooDictionary : public Dictionary<K,HF,EMPTY> {
protected:
  int d;
  HF h[2];
  int insert_grow_account;
  double account_factor;

public:
  CuckooDictionary( int _d = 4, const double &_epsilon=0.1 ) :
  Dictionary<K,HF,EMPTY>( _epsilon ) {
    d = _d;
    set_epsilon( _epsilon );
    account_factor = 3;
  };

  void set_epsilon( const double & _epsilon ) {
    Dictionary<K,HF,EMPTY>::set_epsilon( _epsilon );
    insert_grow_account =
      (int)(account_factor/log(1+this->epsilon) );
  }

  void set_account_factor( const double & _account_factor ) {
    account_factor = _account_factor;
  };

  double get_avg_probes( ) const {
    double res = std::max( d+1., 0.2/log(1.+this->epsilon));
    return res;
  };

  double get_element_probes( ) const {
    double res = 2*std::max( d+1., 2/log(1.+this->epsilon));
    return res;
  };
};

#endif
