#!/usr/bin/perl

# Fhrt mehrere Tests durch
# Die Ergebnisse der Durchlufe werden auf der Standardausgabe ausgegeben,
# Zwischenstnde werden im Fehlerstream ausgegeben

use POSIX qw(locale_h);


$nkeys = 1000000;
$d = 16;
$executable = "..\/cuckoo";
$verfahren = 1;
$nrunden = 20;
@epsilons = ( 0.5, 0.4, 0.3, 0.25, 0.2, 0.15, 0.1, 0.09, 0.08, 0.07, 0.06, 0.05, 0.045, 0.04, 0.035, 0.03, 0.025, 0.02, 0.015, 0.01 );

if ( @ARGV > 0 ) {
    $executable = $ARGV[0];
}

if ( @ARGV > 1 ) {
    $verfahren = $ARGV[1];
}

if ( @ARGV > 2 ) {
    $d = $ARGV[2];
}

if ( @ARGV > 3 ) {
    $nrunden = $ARGV[3];
}

foreach $epsilon(@epsilons){
	$s_ins = 0;
	$s_pos = 0;
	$s_neg = 0;
	$r_ok = 0;
	$s_delins = 0;
	$r_delins = 0;
	for( $runde = $nrunden-1; $runde >= 0; $runde-- ){
		$cmd = "$executable $verfahren $nkeys $epsilon $d 2>\/dev\/null";
		$res = qx/$cmd/;
		$res =~ /Zeit \(alle\) \[sek\]: ([\d\.\*]+)/gi;
		if( $1 != "\*\*\*"){
			$r_ok += 1;
			$s_ins += $1;
			$res =~ /Pos\. Lookups \[sek\]: ([\d\.\*]+)/gi;
			$s_pos += $1;
			$res =~ /Neg\. Lookups \[sek\]: ([\d\.\*]+)/gi;
			$s_neg += $1;
			$res =~ /Zeit \(remove\/insert\) \[sek\]: ([\d\.\*]+)/gi;
			if( $1 != "\*\*\*"){
				$r_delins += 1;
				$s_delins += $1;
			}
	    }
	}
	$run = 100.0 * $r_ok / $nrunden;
	$rundelins = 100.0 * $r_delins / $nrunden;
	if( $r_ok > 0 ){
		$ins = $s_ins / $r_ok;
		$pos = $s_pos / $r_ok;
		$neg = $s_neg / $r_ok;
	} else {
		$ins = "-";
		$pos = "-";
		$neg = "-";
	}
	if( $r_delins > 0 ){
		$delins = $s_delins / $r_delins;
	} else {
		$delins = "-";
	}
	print "$epsilon\t$ins\t$pos\t$neg\t$run\t$delins\t$rundelins\n";
	if( $run < 50 ){
		exit( 0 );
	}
}
