#!/usr/bin/perl

use Pg;

@experimente = ('build', 'pos_lkp', 'neg_lkp', 'delins' );

$header = 
"\\begin{tabular}{|D{.}{.}{2}|D{.}{.}{2}!{\\vrule width 1pt}D{.}{.}{2}!{\\vrule width 1pt}.|c|.|c!{\\vrule width 1pt}.|c|.|c!{\\vrule width 1pt}.|c|.|c!{\\vrule width 1pt}.|c|.|c|}\n\\hline\n";
    
$header2 =
'\multicolumn{2}{|c!{\vrule width 1pt}}{$\varepsilon$}&  & \multicolumn{4}{c!{\vrule width 1pt}}{Exp. 1} & \multicolumn{4}{c!{\vrule width 1pt}}{Exp. 2} & \multicolumn{4}{c!{\vrule width 1pt}}{Exp. 3} & \multicolumn{4}{c|}{Exp. 4}\\\\ \cline{1-2}\cline{4-19}' . 
'\multicolumn{1}{|c|}{\scalebox{0.6}[1]{mit FP}} & \multicolumn{1}{c!{\vrule width 1pt}}{\scalebox{0.6}[1]{ohne FP}} & \multicolumn{1}{c!{\vrule width 1pt}}{\raisebox{1.5ex}[0pt][0pt]{$\alpha$}} & \multicolumn{2}{c|}{mit FP} & \multicolumn{2}{c!{\vrule width 1pt}}{ohne FP} & \multicolumn{2}{c|}{mit FP} & \multicolumn{2}{c!{\vrule width 1pt}}{ohne FP} & \multicolumn{2}{c|}{mit FP} & \multicolumn{2}{c!{\vrule width 1pt}}{ohne FP} & \multicolumn{2}{c|}{mit FP} & \multicolumn{2}{c|}{ohne FP} \\\\ \hline'. 
"\n";

$footer = "\\hline\n\\end{tabular}\n";

$conn = Pg::connectdb("host=kt16.theoinf.tu-ilmenau.de dbname=cuckoo-experimente user=weidling password=gl_1984*");

$verf_mit=13;

if ( @ARGV > 0 ) {
    $verf_mit = $ARGV[0];
}

$verf_ohne = $verf_mit+1;

if ( @ARGV > 1 ) {
    $verf_ohne = $ARGV[1];
}

$b64bit = 0;
if ( @ARGV > 2 ) {
  if( $ARGV[2] == 64 ){
    $b64bit = 1;
  }
}


# Faktor für Epsilon-Korrektur mit/ohne FP
if( $b64bit ){
  $faktor = 1.5;
  @alphas = (0.38, 0.42, 0.46, 0.50, 0.54, 0.58, 0.62, 0.66);
} else  {
  $faktor = 2; # Bei 32-Bit-Zeigern
  @alphas = (0.38, 0.40, 0.42, 0.44, 0.46, 0.48, 0.50);
}

@verfahren=($verf_mit, $verf_ohne);



print $header;
print $header2;

# while( @r_eps = $res_eps->fetchrow ){
#  $eps = $r_eps[0];
foreach $alpha(@alphas){
  $alpha_min=0.9999*$alpha;
  $alpha_max=1.00001*$alpha;
  $eps = 1/$alpha-1;
  $eps_fp = 1/($alpha*$faktor)-1;
  printf "%0.2f & %0.2f & %0.2f", $eps_fp, $eps, $alpha;
  foreach $experiment (@experimente) {
    foreach $v (@verfahren) {
      $select = "select round( cast($experiment as numeric),3), d from alpha_data where verfahren=$v and alpha between $alpha_min and $alpha_max order by $experiment limit 1";
      $res = $conn->exec( $select );
      if( @row = $res->fetchrow ){
        print ' & ', $row[0], ' & ', $row[1];
      } else {
        print ' & &';
      }
    }
  }
  print "\\\\\n";
}
printf $footer;


